<?php
global $banvid_plugin_dir, $banvid_plugin_url;

$banvid_plugin_dir = plugin_dir_path(__FILE__);

$banvid_plugin_url = WP_CONTENT_URL . '/plugins/' . plugin_basename(dirname(__FILE__)) . '/';

include_once $banvid_plugin_dir . 'classes/db.class.php';
include_once $banvid_plugin_dir . 'classes/simple_html_dom.php';
//include_once $banvid_plugin_dir . 'pages/thumb.resize.php';

class bannervideoPlugin extends bannervideoDb {

    public $plugin_name;
    public static $banvid_setting_key = "__banner_setting";
    public $generalsetting;
    public $defaultformsetting;

    public function __construct() {
        global $pluginname;
        $this->plugin_name = $pluginname;
        $this->generalsetting = get_option(self::$banvid_setting_key);
        add_action('admin_menu', array(&$this, 'admin_menu'));
        add_action('init', array(&$this, 'init'));
        add_action('the_content', array(&$this, 'video_content'), 1);
        add_filter('mce_external_plugins', array(&$this, 'banvid_tinyregister'));
        add_filter('mce_buttons', array(&$this, 'banvid_tinybutton'), 0);
        add_shortcode('bannerVideo', array(&$this, 'banner_video_shortcode'));
        add_action('wp_head', array(&$this, 'wp_head'));
    }

    public function wp_head() {
        global $banvid_plugin_url;
        ?>
        <script type="text/javascript" src="http://www.google.com/jsapi"></script>
        <!--<script type="text/javascript" src="http://www.youtube.com/player_api"></script>-->
        <script type="text/javascript">
            google.load("jquery", "1.9.1");
            google.load("jqueryui", "1.7.0");
            //            google.load("swfobject", "2.1");
        </script>
        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/swfobject/2.1/swfobject.js"></script>
        <!--<script type="text/javascript" src="http://swfobject.googlecode.com/svn/tags/rc3/swfobject/src/swfobject.js"></script>-->
        <script type="text/javascript">
            $jq = jQuery.noConflict();
            var j = 0;
            var tags;
            (function($) {                
                $jq.fn.simplified = function() {
                    return this.each(function(i) {
                        var bid = $jq(this).attr('banner_id');
                        var width = $jq(this).attr('width');
                        var height = $jq(this).attr('height');
                        var iframe = document.createElement("iframe");
                        iframe.setAttribute("id","ytapiplayer"+bid);
                        iframe.setAttribute("width",width);
                        iframe.setAttribute("height",height);
                        iframe.setAttribute("frameborder",0);
                        iframe.setAttribute("src",this.title+"?wmode=opaque&enablejsapi=1");
                        $jq(this).append(iframe);
                    });
                }
            })(jQuery);
            var YT_ready = (function() {
                var onReady_funcs = [], api_isReady = false;
                /* @param func function     Function to execute on ready
                 * @param func Boolean      If true, all qeued functions are executed
                 * @param b_before Boolean  If true, the func will added to the first
                                 position in the queue*/
                return function(func, b_before) {
                    if (func === true) {
                        api_isReady = true;
                        while (onReady_funcs.length) {
                            // Removes the first func from the array, and execute func
                            onReady_funcs.shift()();
                        }
                    } else if (typeof func == "function") {
                        if (api_isReady) func();
                        else onReady_funcs[b_before?"unshift":"push"](func); 
                    }
                }
            })();                   
            function onYouTubePlayerAPIReady() {YT_ready(true)}
            (function() { // Closure, to not leak to the scope
                var s = document.createElement("script");
                s.src = (location.protocol == 'https:' ? 'https' : 'http') + "://www.youtube.com/player_api";
                var before = document.getElementsByTagName("script")[0];
                before.parentNode.insertBefore(s, before);
            })();
            $jq(document).ready(function() {
                $jq('.secondary').simplified();
                var tags = $jq('.secondary');
                j = tags.length;
                YT_ready(function(){
                    var tags = $jq('.secondary');
                    if(j > 0){
                        $jq(tags).each(function(){
                            var frameID = $jq(this).children('iframe').attr('id');
                            var idd = frameID.split("ytapiplayer");
                            if (frameID) { //If the frame exists
                                player = new YT.Player(frameID, {
                                    events: {
                                        "onStateChange": 'playerState'+idd[1]
                                    }
                                });
                            }
                        });
                    }
                });
            });
        </script>
        <?php
    }

    function linkifyYouTubeURLs($text) {
        $regexstr = '~
# Match Youtube link and embed code
(?:				 # Group to match embed codes
   (?:<iframe [^>]*src=")?	 # If iframe match up to first quote of src
   |(?:				 # Group to match if older embed
      (?:<object .*>)?		 # Match opening Object tag
      (?:<param .*</param>)*     # Match all param tags
      (?:<embed [^>]*src=")?     # Match embed tag to the first quote of src
   )?				 # End older embed code group
)?				 # End embed code groups
(?:				 # Group youtube url
   https?:\/\/		         # Either http or https
   (?:[\w]+\.)*		         # Optional subdomains
   (?:               	         # Group host alternatives.
       youtu\.be/      	         # Either youtu.be,
       | youtube\.com		 # or youtube.com 
       | youtube-nocookie\.com	 # or youtube-nocookie.com
   )				 # End Host Group
   (?:\S*[^\w\-\s])?       	 # Extra stuff up to VIDEO_ID
   ([\w\-]{11})		         # $1: VIDEO_ID is numeric
   [^\s]*			 # Not a space
)				 # End group
"?				 # Match end quote if part of src
(?:[^>]*>)?			 # Match any extra stuff up to close brace
(?:				 # Group to match last embed code
   </iframe>		         # Match the end of the iframe	
   |</embed></object>	         # or Match the end of the older embed
)?				 # End Group of last bit of embed code
~ix';
        $text = preg_replace('~
        # Match non-linked youtube URL in the wild. (Rev:20111012)
        https?://         # Required scheme. Either http or https.
        (?:[0-9A-Z-]+\.)? # Optional subdomain.
        (?:               # Group host alternatives.
          youtu\.be/      # Either youtu.be,
        | youtube\.com    # or youtube.com followed by
          \S*             # Allow anything up to VIDEO_ID,
          [^\w\-\s]       # but char before ID is non-ID char.
        )                 # End host alternatives.
        ([\w\-]{11})      # $1: VIDEO_ID is exactly 11 chars.
        (?=[^\w\-]|$)     # Assert next char is non-ID or EOS.
        (?!               # Assert URL is not pre-linked.
          [?=&+%\w]*      # Allow URL (query) remainder.
          (?:             # Group pre-linked alternatives.
            [\'"][^<>]*>  # Either inside a start tag,
          | </a>          # or inside <a> element text contents.
          )               # End recognized pre-linked alts.
        )                 # End negative lookahead assertion.
        [?=&+%\w-]*        # Consume any URL (query) remainder.
        ~ix', '<a href="http://www.youtube.com/watch?v=$1">YouTube link: $1</a>', $text);
        return $text;
    }

    function video_content($content) {
        global $post;

        $width = $this->generalsetting->video_width;
        $height = $this->generalsetting->video_height;
        $bannergroup = $this->generalsetting->banner_group;
        $bannerw = $this->generalsetting->banner_width;
        $bannerh = $this->generalsetting->banner_height;
        $banneralign = $this->generalsetting->banner_align;
        $starttiming = $this->generalsetting->start_timing;
        $bannertiming = $this->generalsetting->banner_timing;
        $gaptiming = $this->generalsetting->gap_timing;
        $grpbandisplay = $this->generalsetting->group_banner_display;


         preg_match_all('/((http|https|ftp)\:\/\/)?([w]{3}\.)?(youtube\.)([a-z]{2,4})(\/watch\?v=)([a-zA-Z0-9_-]+)(\&feature=)?([a-zA-Z0-9_-]+)?/', $content, $youtube_urls); //Shilesh Joshi 
       // preg_match_all('/((http|ftp)\:\/\/)?([w]{3}\.)?(youtube\.)([a-z]{2,4})(\/watch\?v=)([a-zA-Z0-9_-]+)([\&qtm_short_code=])?([true])(\&feature=)?([a-zA-Z0-9_-]+)?/', $content, $youtube_urls); // Dhairya

        if (is_array($youtube_urls) && count($youtube_urls) && is_array($youtube_urls[0]) && count($youtube_urls[0])) {
            // following code will give all url
            $arrURLs = $youtube_urls[0];
            //Add new line by Ankit Patel : Date : 28-02-2014
           // $arrURLs = str_replace('www.youtube.com', 'www.youtube-nocookie.com', $arrURLs);
		   //echo 
		   /*
		   echo '<pre>';
		   print_r($youtube_urls);
		   print_r($arrURLs);
		   echo '</pre>';
		   */
            foreach ($arrURLs as $youtubeURL) {
				$youtubeURL . '&amp;qtm_short_code=true';
                if (!strstr($content, $youtubeURL . '&amp;qtm_short_code=true')) {
					
                    $ProcessURL = str_replace('watch?v=', 'v/', $youtubeURL);
                    $ProcessURL = str_replace('embed/', 'v/', $ProcessURL);
                    $ProcessURL = trim($ProcessURL);
                    if (isset($ProcessURL) && $ProcessURL != "") {
                        $doshortcode = do_shortcode("[bannerVideo videourl='$ProcessURL&amp;qtm_short_code=true' id='$bannergroup' video_width='$width' video_height='$height' align='$banneralign' banner_width='$bannerw' banner_height='$bannerh' start_timing='$starttiming'  banner_timing='$bannertiming' gap_timing='$gaptiming' banner_display='$grpbandisplay']");
                        $content = str_replace($youtubeURL, $doshortcode, $content);
                    }
                }
            }
        }

        //preg_match_all('|<iframe [^>]*(src="[^"]+")[^>]*.<\/iframe>|', $content, $iframe_urls);
        // First let's do for iframe having double quotes (") on src like src="youtubeurl".
        preg_match_all('/<iframe.*src=\"(.*)\".*><\/iframe>/isU', $content, $iframe_urls);
        // following code will give all url
        $arrURLs = $iframe_urls[1];
        foreach ($arrURLs as $index => $youtubeURL) {
            if (strstr(strtolower($youtubeURL), 'youtube')) {
                $ProcessURL = str_replace('watch?v=', 'v/', $youtubeURL);
                $ProcessURL = str_replace('embed/', 'v/', $ProcessURL);
                $ProcessURL = trim($ProcessURL);
                if (isset($ProcessURL) && $ProcessURL != "") {
                    $doshortcode = do_shortcode("[bannerVideo videourl='$ProcessURL' id='$bannergroup' video_width='$width' video_height='$height' align='$banneralign' banner_width='$bannerw' banner_height='$bannerh' start_timing='$starttiming'  banner_timing='$bannertiming' gap_timing='$gaptiming' banner_display='$grpbandisplay']");
                    $content = str_replace($iframe_urls[0][$index], $doshortcode, $content);
                }
            }
        }

        // Now let's do for iframe having single quotes (')  on src like src='youtubeurl'.
        preg_match_all('/<iframe.*src=\'(.*)\'.*><\/iframe>/isU', $content, $iframe_urls);
        // following code will give all url
        $arrURLs = $iframe_urls[1];
        foreach ($arrURLs as $index => $youtubeURL) {
            if (strstr(strtolower($youtubeURL), 'youtube')) {
                $ProcessURL = str_replace('watch?v=', 'v/', $youtubeURL);
                $ProcessURL = str_replace('embed/', 'v/', $ProcessURL);
                $ProcessURL = trim($ProcessURL);
                if (isset($ProcessURL) && $ProcessURL != "") {
                    $doshortcode = do_shortcode("[bannerVideo videourl='$ProcessURL' id='$bannergroup' video_width='$width' video_height='$height' align='$banneralign' banner_width='$bannerw' banner_height='$bannerh' start_timing='$starttiming'  banner_timing='$bannertiming' gap_timing='$gaptiming' banner_display='$grpbandisplay']");
                    $content = str_replace($iframe_urls[0][$index], $doshortcode, $content);
                }
            }
        }
        return $content;
    }

    function banvid_tinybutton($buttons) {
        global $banvid_plugin_url;
        array_push($buttons, "separator", "banvideocamp");
        return $buttons;
    }

    function banvid_tinyregister($plugin_array) {
        global $banvid_plugin_url;
        $url = $banvid_plugin_url . "js/bannervideo-tiny.js";
        $plugin_array["banvideocamp"] = $url;
        return $plugin_array;
    }

    public function init() {
        global $banvid_plugin_url;
        wp_enqueue_script('jquery');
        wp_enqueue_script('jquery-ui-core');
        wp_enqueue_style('banvid-style', $banvid_plugin_url . 'css/style.css');
        wp_enqueue_script('jwplyer-js', $banvid_plugin_url . 'jwsplayer/jwplayer.js');
        wp_enqueue_script('json2', $banvid_plugin_url . 'js/json2.js');
        add_thickbox();
        add_action('tiny_mce_preload_dialogs', 'wp_link_dialog', 30);
        wp_enqueue_script('media-upload');

        if (isset($_GET['activate']) && $_GET['activate'] == 'true') {
            $this->createTable();
        }
    }

    public function admin_menu() {
        global $banvid_plugin_url;
        add_menu_page(__($this->plugin_name), __($this->plugin_name), 8, 'bannervideo-list', array(&$this, 'bannervideoList'));
        add_submenu_page('bannervideo-list', 'List Banner', 'List Banner', 8, 'bannervideo-list', array(&$this, 'bannervideoList'));
        add_submenu_page('bannervideo-list', 'Add Banner', 'Add Banner', 8, 'bannervideo-add', array(&$this, 'bannervideoAdd'));
        add_submenu_page('bannervideo-list', 'Manage Group', 'Manage Group', 8, 'bannervideo-grouplist', array(&$this, 'bannervideoListGroup'));
        add_submenu_page('bannervideo-list', 'Settings', 'Settings', 8, 'bannervideo-setting', array(&$this, 'bannervideoSetting'));
        add_submenu_page('bannervideo-list', ' ', ' ', 8, 'bannervideo-groupadd', array(&$this, 'bannervideoAddGroup'));
    }

    public function bannervideoSetting() {
        global $banvid_plugin_dir, $message;
        if (isset($_POST['submit'])) {
            unset($_POST['submit']);
            $this->generalsetting = (object) $_POST;
            update_option(self::$banvid_setting_key, $this->generalsetting);
        }
        include_once $banvid_plugin_dir . 'pages/setting.php';
    }

    public function banner_video_shortcode($arg) {
        ob_start();
        if (isset($_SESSION['sess_vid_count'])) {
            $_SESSION['sess_vid_count']++;
        } else {
            $_SESSION['sess_vid_count'] = 0;
        }
        $vidCount = $_SESSION['sess_vid_count'];
        global $wpdb, $table_prefix, $banvid_plugin_url;
		
        if (isset($arg['id']) || $arg['id'] == 0) {
            $url = $arg['videourl'];
            $url = split("&", $url);
            $strurl = str_replace('https', 'http', $url[0]);
//            $strurl = str_replace('watch?v=', 'v/', $strurl);
//            $strurl = str_replace('embed/', 'v/', $strurl);
            $strurl = str_replace('watch?v=', 'embed/', $strurl);
            $strurl = str_replace('v/', 'embed/', $strurl);
            ?>
            <script type="text/javascript">
                var flag_<?php echo $vidCount; ?> = true;
                var i = 0;
                function playerState<?php echo $vidCount; ?>(state){
                    if(state.data == 1){
                        if(flag_<?php echo $vidCount; ?> == true){							
                            setTimeout(function(){get_fb_<?php echo $vidCount; ?>();}, <?php echo ($arg['start_timing'] == "") ? 10 : $arg['start_timing']; ?>*1000);
                        }else{							
                            setTimeout(function() {
                                $jq('#banner_<?php echo $vidCount; ?>').slideUp(500);
                            }, <?php echo ($arg['banner_timing'] == "") ? 10 : $arg['banner_timing']; ?>*1000);
                        }
                    }
                }                                        
                $jq(document).ready(function() { 
                    $jq('.close').live('click',function(){
                        $jq('#banner_<?php echo $vidCount; ?>').hide();
                    });
                });
            </script> 
            <div class="main_div_banner" style="width:<?php echo $arg['video_width']; ?>px">
                <input type="hidden" name="ban_id_<?php echo $vidCount; ?>" id="ban_id_<?php echo $vidCount; ?>" value="">
                <div id="container_<?php echo $vidCount; ?>" class="container">
                    <div id="secondary_<?php echo $vidCount; ?>" class="secondary" title="<?php echo $strurl; ?>" banner_id="<?php echo $vidCount; ?>" width="<?php echo $arg['video_width']; ?>" height="<?php echo $arg['video_height']; ?>" >
                    </div>
                </div>
                <div id="banner_<?php echo $vidCount; ?>" class="banner"  style="display: none; text-align: <?php echo $arg['align']; ?>">
                    <span class="close"><img src="<?php echo $banvid_plugin_url . 'images/close.png' ?>" /></span>
                    <?php
                    if (isset($arg['id']) && $arg['id'] != 0) {
                        global $wpdb, $table_prefix, $banvid_plugin_url, $banvid_plugin_dir;
                        $query = "SELECT count(*) as total_banner FROM `" . $wpdb->prefix . "banner_video` WHERE `group_id`='" . $arg['id'] . "'";
                        $result = $wpdb->get_row($query);
                        $total_banner = $result->total_banner * $arg['banner_display'];
                        ?>
                        <script type="text/javascript">
                            function get_fb_<?php echo $vidCount; ?>(){
                                i++;                              
                                $jq.ajax({
                                    type:'POST',
                                    url:'<?php echo $banvid_plugin_url; ?>pages/ajax.php',
                                    cache:'true',
                                    dataType:'html',
                                    data:{
                                        id:document.getElementById("ban_id_<?php echo $vidCount; ?>").value,
                                        group_id:'<?php echo $arg['id'] ?>',
                                        width:'<?php echo ($arg['banner_width'] > $arg['video_width']) ? $arg['video_width'] : $arg['banner_width']; ?>',
                                        height:'<?php echo ($arg['banner_height'] > $arg['video_height']) ? $arg['video_height'] : $arg['banner_height']; ?>'
                                    },
                                    success: function(data){
                                        //                                        var str='<a href="{link}" target="_blank"><img src="{image}" height="{h}" width="{w}" style="margin:0 auto;position:relative;z-index:0;"/></a><span class="close"><img src="{close}"/></span>';
                                        var str='<a href="{link}" target="_blank"><img src="{image}" style="height:{h}px !important;width:{w}px !important;max-width:{mw}px !important;margin:0 auto;position:relative;z-index:0;"/></a><span class="close"><img src="{close}"/></span>';
                                        obj = JSON.parse(data);
                                        if(obj.clear == '1'){
                                            document.getElementById("ban_id_<?php echo $vidCount; ?>").value="";
                                        }
                                        str = str.replace("{link}",obj.ban_link);
                                        str=str.replace("{image}",obj.image);
                                        str=str.replace("{w}",obj.width);
                                        str=str.replace("{mw}",obj.width);
                                        str=str.replace("{h}",obj.height);
                                        str=str.replace("{close}",obj.close_image);
                                        document.getElementById("ban_id_<?php echo $vidCount; ?>").value=document.getElementById("ban_id_<?php echo $vidCount; ?>").value+obj.id+",";										
                                        $jq("#banner_<?php echo $vidCount; ?>").html(str);
                                        $jq("#banner_<?php echo $vidCount; ?>").css('display','block');
                                    }
                                });  
                                flag_<?php echo $vidCount; ?> = false;
                                setTimeout(function(){get_hidebanner_<?php echo $vidCount; ?>();},<?php echo ($arg['banner_timing'] == "") ? 10 : $arg['banner_timing']; ?>*1000);
                            }
                            function get_hidebanner_<?php echo $vidCount; ?>(){
                                $jq("#banner_<?php echo $vidCount; ?>").html('');
                                $jq("#banner_<?php echo $vidCount; ?>").hide();
                                //     Add code for banner display in particular time start
                                if(i < <?php echo $total_banner; ?>){
                                    setTimeout(function(){get_fb_<?php echo $vidCount; ?>();}, <?php echo ($arg['gap_timing'] == "") ? 10 : $arg['gap_timing']; ?>*1000);
                                }else if(<?php echo $arg['banner_display']; ?> == 0 ){
                                    setTimeout(function(){get_fb_<?php echo $vidCount; ?>();}, <?php echo ($arg['gap_timing'] == "") ? 10 : $arg['gap_timing']; ?>*1000);
                                }
                                // End
                            }
                        </script>
                        <?php
                    } else {
                        $bandata = "SELECT * FROM `" . $table_prefix . "banner_video` WHERE `id`=" . $arg['id'];
                        $result = $wpdb->get_row($bandata);
                        ?>
                        <a href="<?php echo ($result->ban_link != '') ? $result->ban_link : '#' ?>" target="_blank">
                            <img src="<?php echo $result->ban_image ?>" width="<?php echo ($arg['banner_width'] > $arg['video_width']) ? $arg['video_width'] : $arg['banner_width']; ?>px" height="<?php echo ($arg['banner_height'] > $arg['video_height']) ? $arg['video_height'] : $arg['banner_height']; ?>px" style="margin: 0 auto;width: <?php echo ($arg['banner_width'] > $arg['video_width']) ? $arg['video_width'] : $arg['banner_width']; ?>px" />
                        </a>
                    <?php } ?>
                </div>
            </div>
            <?php
        }
        $content = ob_get_contents();
        ob_end_clean();
        return $content;
    }

    public function bannervideoAdd() {
        global $banvid_plugin_dir, $banvid_plugin_url, $wpdb;
        if (isset($_POST['bannersubmit'])) {
            $id = $_POST['id'];
            $arrRemove = array('bannersubmit', 'id', 'ban_id');
            $arrSave = array();
            foreach ($_POST as $key => $value) {
                if (in_array($key, $arrRemove))
                    continue;
                $arrSave[$key] = $value;
            }
            $message = $this->saveBannerVideo($arrSave, $id);
            if ($message && isset($message['error']) && trim($message['error']) != "") {
                echo "<div class='error'><p>" . $message['error'] . '</p></div>';
            } else {
                $this->redirect('admin.php?page=bannervideo-list&msg=' . $message['success']);
            }
        }
        if (isset($_GET['mode']) && $_GET['mode'] == "edit") {
            $arrGroupBan = $this->get_record_by_bannervideo_id($_GET['id']);
        }
        if ($_POST) {
            $arrGroup = (object) $_POST;
        }
        include_once $banvid_plugin_dir . 'pages/add-bannervideo.php';
    }

    public function bannervideoList() {
        global $banvid_plugin_dir, $wpdb;
        if (isset($_GET['mode']) && $_GET['mode'] == "delete") {
            $message = $this->delete_record_bannervideo($_GET['id']);
            if ($message) {
                $this->redirect('admin.php?page=bannervideo-list&msg=' . $message);
            }
        }
        include_once $banvid_plugin_dir . 'pages/list-bannervideo.php';
    }

    public function bannervideoAddGroup() {
        global $banvid_plugin_dir, $banvid_plugin_url, $wpdb;
        if (isset($_POST['submit'])) {
            $id = $_POST['group_id'];
            $arrRemove = array('submit', 'group_id', 'ban_id');
            $arrSave = array();
            foreach ($_POST as $key => $value) {
                if (in_array($key, $arrRemove))
                    continue;
                $arrSave[$key] = $value;
            }

            $message = $this->saveBannerGroup($arrSave, $id);
            if ($message && isset($message['error']) && trim($message['error']) != "") {
                $this->redirect('admin.php?page=bannervideo-groupadd&msg=' . $message['error']);
//                echo "<div class='error'><p>" . $message['error'] . '</p></div>';
//                echo '<div class="alert alert-success"><a class="closebtn" id="closebtn">X</a>' . $message['error'] . '</div>';
            } else {
                $this->redirect('admin.php?page=bannervideo-grouplist&msg=' . $message['success']);
            }
        }
        if (isset($_GET['mode']) && $_GET['mode'] == "edit") {
            $arrGroup = $this->get_record_by_bannergroup_id($_GET['group_id']);
        }
        if ($_POST) {
            $arrGroup = (object) $_POST;
        }
        include_once $banvid_plugin_dir . 'pages/add-bannergroup.php';
    }

    public function bannervideoListGroup() {
        global $banvid_plugin_dir, $wpdb;
        if (isset($_GET['mode']) && $_GET['mode'] == "delete") {
            $admin_sel_grpid = "select * from `" . $wpdb->prefix . "banner_video` where `group_id` = '" . $_GET['group_id'] . "'";
            $result = $wpdb->get_row($admin_sel_grpid);
            if ($result > 0) {
                $message['error'] = "Can not be deleted! This group is already assigned in banner.";
                $this->redirect('admin.php?page=bannervideo-grouplist&msg=' . $message['error']);
                //                echo "<div class='error'><p>" . $message['error'] . '</p></div>';
            } else {
                $message = $this->delete_record_bannergroup($_GET['group_id']);
                if ($message) {
                    $this->redirect('admin.php?page=bannervideo-grouplist&msg=' . $message);
                }
            }
        }
        include_once $banvid_plugin_dir . 'pages/list-bannergroup.php';
    }

    public function redirect($location) {
        echo '<SCRIPT type="text/javascript">window.location="' . $location . '";</SCRIPT>';
    }

    public function resizeThemeimage($imgsrc, $height, $width) {
        global $banvid_plugin_dir, $banvid_plugin_url, $wpdb;
        $resizeImagesrc = $banvid_plugin_url . 'pages/thumb.resize.php?src=' . $imgsrc . '&amp;h=' . $height . '&amp;w=' . $width . '&amp;zc=1&amp;q=80';
        return $resizeImagesrc;
    }

}

new bannervideoPlugin();
?>
